Subject: Re: git-svn stubbornly re-creating branch "master"

From: Andreas Ericsson <[email-masked]>
Date: Sun, 14 Jun 2009 19:33:58 +0200

Marcin Owsiany wrote:
> On Sat, Jun 06, 2009 at 11:55:01AM +0100, Marcin Owsiany wrote:
>> This discussion seems to have stalled...
>>
>> On Fri, Apr 03, 2009 at 12:57:52PM +0200, Mikael Magnusson wrote:
>>> 2009/3/29 Dmitry Potapov <[email-masked]>:
>>>> On Sun, Mar 29, 2009 at 18:13:47 +0100, Marcin Owsiany
>>>> <[email-masked]> wrote:
>>>>> As you can see, "master" sprang back to life after the last command.
>>>> It looks like git-svn does not like a repo without 'master'. It seems
>>>> the problem was caused by this patch:
>>>> http://git.kernel.org/?p=git/git.git;a=commit;h=1e889ef36c45b5554f7e317493ed3f4f901f8d9f
>>>>
>>>> I have added Eric to CC...
>>> Why not just check if HEAD points to a valid commit, rather than
>>> master? It should do the same
>>> in the newly created repo case, and stop annoying people on updates.
>> There seems to be agreement that while conventions are nice, git should
>> not force branch names on people. Can someone implement Mikael's
>> suggestion?
> 
> [silence]
> 
> OK, a different question, then: if I wrote a patch to implement the
> behaviour described by Mikael, would you consider including it?
> 

Patches are always considered, but asking about inclusion before the
code is written doesn't really work. If you care about this feature
and really want it, you should write the patch and submit it to the
mailing list for discussion. It might get dropped on the floor or it
might get accepted, but without you actually showing that you want
it, nothing at all will happen.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.